> For the complete documentation index, see [llms.txt](https://studio.docs.ai.vonage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://studio.docs.ai.vonage.com/sms/get-started/triggering-an-outbound-sms-virtual-agent.md).

# Triggering an outbound SMS Virtual Agent

You can jumpstart the outbound session from any platform of your choosing, e.g. Postman.&#x20;

{% hint style="warning" %}
**Are you within the limits?**

*Studio’s outbound call limits that is! We currently only allow one session per second however if your virtual agent needs to make more calls we can increase the limit up to 5 outbound sessions per second.*&#x20;

*If you require an increased limit, please email* [*<mark style="color:purple;">support@aistudio.vonage.com</mark>*](mailto:support@aistudio.vonage.com) *with the following details:-*

* *API key*&#x20;
* *Agent ID(/s)*
* *Increase request: You can choose to increase your limit to 3 or 5 sessions per second* &#x20;

*Once you receive confirmation from our teams that your request has been processed, please publish your agents and wait for about 5 minutes before you start triggering any new outbound sessions.*

*Please note that if your agent is not approved for a higher limit, any call made over the 1 call per second limit will fail and return a 429 error!*
{% endhint %}

The query will look like the following -&#x20;

#### Endpoint (mandatory)

The endpoint depends on the region you selected for your agent

For EU agents --> `https://studio-api-eu.ai.vonage.com/messaging/conversation`

For US agents --> `https://studio-api-us.ai.vonage.com/messaging/conversation`

#### Method (mandatory)

POST

#### Headers (mandatory)

`X-Vgai-Key`

{% hint style="info" %}
*You can find the* `X-Vgai-Key` *on the top right of your canvas. Click on the "user" icon, and then "Generate API Key".*
{% endhint %}

#### Request Body

```
{ 
    "to": "TO_NUMBER", 
    "agent_id": "AGENT_ID", 
    "channel": "sms",
    "status_url": "string",
    "session_parameters": [
    {
      "name": "string",
      "value": "string"
    }
  ]
}
```

{% hint style="info" %}
*If you want to create an outbound campaign sending a multitude of messages to different recipients at the same time, please* [*<mark style="color:purple;">contact our support team</mark>*](https://api.support.vonage.com/hc/en-us/requests/new) *for help*.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://studio.docs.ai.vonage.com/sms/get-started/triggering-an-outbound-sms-virtual-agent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
